org.wildfly.swarm.config.messaging.activemq.server

## Class SharedStoreColocatedHAPolicy.SharedStoreColocatedHAPolicyResources

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.SharedStoreColocatedHAPolicy.SharedStoreColocatedHAPolicyResources

- Enclosing class:
    SharedStoreColocatedHAPolicy<T extends SharedStoreColocatedHAPolicy<T>>

      public static class SharedStoreColocatedHAPolicy.SharedStoreColocatedHAPolicyResources
      extends Object

  Child mutators for SharedStoreColocatedHAPolicy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedStoreColocatedHAPolicyResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MasterConfiguration` | `masterConfiguration()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `SlaveConfiguration` | `slaveConfiguration()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SharedStoreColocatedHAPolicyResources

          public SharedStoreColocatedHAPolicyResources()

  - ### Method Detail

    - #### masterConfiguration

          public MasterConfiguration masterConfiguration()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### slaveConfiguration

          public SlaveConfiguration slaveConfiguration()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

Copyright © 2017 JBoss by Red Hat. All rights reserved.